package com.foreverwin.mesnac.equip.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 设备检验计划从表
 * </p>
 *
 * @author pavel.Liu
 * @since 2021-06-18
 */

@TableName("Z_INSPECT_PLAN_USER_GROUP")

public class InspectPlanUserGroup extends Model<InspectPlanUserGroup> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 用户组HANDLE
     */
   @TableField("USER_GROUP_BO")
   private String userGroupBo;
    /**
     * 检验计划HANDLE
     */
   @TableField("RESOURCE_INSPECT_PLAN_BO")
   private String resourceInspectPlanBo;
    /**
     * 创建人
     */
   @TableField("CREATE_USER")
   private String createUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 修改人
     */
   @TableField("MODIFY_USER")
   private String modifyUser;
    /**
     * 修改时间
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;

   /***
    * 用户组编号
    */
   @TableField(exist = false)
   private String userGroupNo;
   /**
    * 用户组描述
    */
   @TableField(exist = false)
   private String description;
   /**
    * 序号（仅用于排序）
    */
   @TableField(exist = false)
   private Integer itemSeq;

   public String getUserGroupNo() {
      return userGroupNo;
   }

   public void setUserGroupNo(String userGroupNo) {
      this.userGroupNo = userGroupNo;
   }

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public Integer getItemSeq() {
      return itemSeq;
   }

   public void setItemSeq(Integer itemSeq) {
      this.itemSeq = itemSeq;
   }

   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getUserGroupBo() {
      return userGroupBo;
   }

   public void setUserGroupBo(String userGroupBo) {
      this.userGroupBo = userGroupBo;
   }

   public String getResourceInspectPlanBo() {
      return resourceInspectPlanBo;
   }

   public void setResourceInspectPlanBo(String resourceInspectPlanBo) {
      this.resourceInspectPlanBo = resourceInspectPlanBo;
   }

   public String getCreateUser() {
      return createUser;
   }

   public void setCreateUser(String createUser) {
      this.createUser = createUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifyUser() {
      return modifyUser;
   }

   public void setModifyUser(String modifyUser) {
      this.modifyUser = modifyUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

public static final String HANDLE = "HANDLE";

public static final String USER_GROUP_BO = "USER_GROUP_BO";

public static final String RESOURCE_INSPECT_PLAN_BO = "RESOURCE_INSPECT_PLAN_BO";

public static final String CREATE_USER = "CREATE_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFY_USER = "MODIFY_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "InspectPlanUserGroup{" +
         "handle = " + handle +
         ", userGroupBo = " + userGroupBo +
         ", resourceInspectPlanBo = " + resourceInspectPlanBo +
         ", createUser = " + createUser +
         ", createdDateTime = " + createdDateTime +
         ", modifyUser = " + modifyUser +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}